summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
authorJunegunn Choi <junegunn.c@gmail.com>2015-04-20 14:58:27 +0900
committerJunegunn Choi <junegunn.c@gmail.com>2015-04-20 14:58:27 +0900
commit869a234938421da7b5318a81d22cd6b3efe1efd1 (patch)
tree48cb50a93bc195ea1cc6a22eb78f4d309ce90a03 /bin
parent537d07c1e5133727dddbd6a345f5926719a3d7b4 (diff)
[fzf-tmux] Use bash instead of sh (#204)
The default shell can be a non-standard shell (e.g. fish)
Diffstat (limited to 'bin')
-rwxr-xr-xbin/fzf-tmux4
1 files changed, 2 insertions, 2 deletions
diff --git a/bin/fzf-tmux b/bin/fzf-tmux
index 8c16eb03..c2194804 100755
--- a/bin/fzf-tmux
+++ b/bin/fzf-tmux
@@ -122,11 +122,11 @@ mkfifo $fifo2
mkfifo $fifo3
if [ -n "$term" -o -t 0 ]; then
tmux set-window-option -q synchronize-panes off \;\
- split-window $opt "cd $(printf %q "$PWD");$envs"' sh -c "'$fzf' $(cat '$argsf') > '$fifo2'; echo \$? > '$fifo3' '"$close"'"' $swap
+ split-window $opt "cd $(printf %q "$PWD");$envs"' bash -c "'$fzf' $(cat '$argsf') > '$fifo2'; echo \$? > '$fifo3' '"$close"'"' $swap
else
mkfifo $fifo1
tmux set-window-option -q synchronize-panes off \;\
- split-window $opt "$envs"' sh -c "'$fzf' $(cat '$argsf') < '$fifo1' > '$fifo2'; echo \$? > '$fifo3' '"$close"'"' $swap
+ split-window $opt "$envs"' bash -c "'$fzf' $(cat '$argsf') < '$fifo1' > '$fifo2'; echo \$? > '$fifo3' '"$close"'"' $swap
cat <&0 > $fifo1 &
fi
cat $fifo2